Subject: Re: [PATCH][PPPOL2TP]: Fix SMP oops in pppol2tp driver

From: Jarek Poplawski <[email-masked]>
Date: Mon, 25 Feb 2008 13:39:48 +0000

On Mon, Feb 25, 2008 at 01:05:08PM +0000, Jarek Poplawski wrote:
...
> On Mon, Feb 25, 2008 at 12:19:50PM +0000, James Chapman wrote:
> > Is this an acceptable solution? If so, I'll prepare and send official  
> > patches.
> 
> IMHO this should be acceptable because I can't see any reason for
> changing properly working code if there is so simple and not costly
> solution. But maybe David or somebody else finds some cons? [...]

Hmm... Wait a minute! But on the other hand David has written about
his cons here, and it looks reasonable: this place would be fixed,
but some others can start reports like this. Maybe, it's better to
analyze yet if it's really so hard to eliminate taking this lock
on the xmit path?

Jarek P.